aboutsummaryrefslogtreecommitdiffstats
path: root/testing/ansible-playbook-debugger/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2015-03-03 16:48:08 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2015-03-11 14:33:18 +0000
commit0ec431d2a5d0ddf3a2ee1d4f7c4a86ca77e58f3b (patch)
tree19d02357450d57d0ddc1fccbb26000f30b6a1643 /testing/ansible-playbook-debugger/APKBUILD
parent006ae607c087056516d90cff1825d31392b0a51c (diff)
downloadaports-0ec431d2a5d0ddf3a2ee1d4f7c4a86ca77e58f3b.tar.gz
aports-0ec431d2a5d0ddf3a2ee1d4f7c4a86ca77e58f3b.tar.bz2
aports-0ec431d2a5d0ddf3a2ee1d4f7c4a86ca77e58f3b.tar.xz
testing/ansible-playbook-debugger: new aport
A Debugger for Ansible Playbook https://github.com/ks888/ansible-playbook-debugger
Diffstat (limited to 'testing/ansible-playbook-debugger/APKBUILD')
-rw-r--r--testing/ansible-playbook-debugger/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/testing/ansible-playbook-debugger/APKBUILD b/testing/ansible-playbook-debugger/APKBUILD
new file mode 100644
index 0000000000..bebf6a3d6f
--- /dev/null
+++ b/testing/ansible-playbook-debugger/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=ansible-playbook-debugger
+pkgver=0.2.1
+pkgrel=0
+pkgdesc="A debugger for Ansible playbooks"
+url="https://github.com/ks888/ansible-playbook-debugger"
+arch="noarch"
+license="GPLv3"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${pkgname:0:1}/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="af3b9b98fa080819febfefbd4a2942ce ansible-playbook-debugger-0.2.1.tar.gz"
+sha256sums="3c95f8a61aecd66ffd3770d102baa83e043f1025c40ed6eefe4c261e50ab95c6 ansible-playbook-debugger-0.2.1.tar.gz"
+sha512sums="a303c7f4587ce5e243f571c6c0cce658fa94b4818a3892d2c78952a0ae104266ff908a38f8bff53a23a5938933ade82b6a7d7de20d841d3ad73815f82fdd1707 ansible-playbook-debugger-0.2.1.tar.gz"